package com.shcd.tcpais.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 类名:@Name - AISMsgTypeMarge
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/17 10:38
 * 作者:@Created by zrj
 */
@Target(value = {ElementType.FIELD, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface AISMsgTypeMarge {
    /**
     * 类型 {1,2}  1、2类型共同使用
     * @return
     */
    int[] type() ;
    /**
     * 基站内容对应位置   {0,1,1,2}  1、2类型分别使用的位置
     * @return
     */
    int[] position() ;
    /**
     * 是否为合并
     * @return
     */
    String mergeName() default "";
    /**
     * 合并种类
     * @return
     */
    int[] mergeType() ;

    /**
     * 处理方法
     * @return
     */
    String[] function() default {"BitToMessage"};
}
