package com.shcd.tcpais.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 类名:@Name - Need
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/17 10:39
 */
@Target({ElementType.FIELD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface Need {
    String name() default "";

    String[] use() default {};
}
