package com.shcd.tcpais.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 类名:@Name - BoatInfoEntity
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/17 14:05
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BoatInfoEntity {
    private String id;

    //点位个数
    private int pointNum;

    //速度大于1的点位个数
    private int pointWarningNum;

    //是否已生成预警
    private Boolean isWarning ;

    //首次进入时间
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime ;

    private String lastAisTime ;

    //初始进入航道 或所属航道
    private String inChannel;

    //预警航道
    private String warningChannel;
    //当前状态
    private String cunState;

    private List<GHAisInfo> aisData;
}
