package com.shcd.tcpais.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 类名:@Name - GHAisInfo
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/17 11:01
 * 作者:@Created by zrj
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GHAisInfo {
    private String  boatName;
    private String  boatNameEn;
    private String  deviCeid;
    private BigDecimal direction;
    private Date gpsTime ;
    private BigDecimal  latitude;
    private BigDecimal  longitude;
    private BigDecimal  mapx;
    private BigDecimal  mapy;
    private BigDecimal shipBreadth;
    private BigDecimal  shipDepth;
    private BigDecimal  shipLength;
    private BigDecimal  velocity;
    private Boolean  inAll;
    private String  inchannel;
}
