package com.shcd.tcpais;

import com.alibaba.fastjson.JSON;
import com.shcd.tcpais.entity.BoatInfoEntity;
import com.shcd.tcpais.config.RedisCache;
import com.shcd.tcpais.util.AisAnalysisUtil;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.concurrent.TimeUnit;

@SpringBootTest
class TcpAisApplicationTests {


    @Autowired
    private RedisCache redisCache;

    @Test
    void contextLoads() throws Exception {
        String request = "!AIVDM,1,1,,B,16:d>A@P008a74PAgEvP00HD1P00,0*31";
        System.out.println("解析前: " + request);
        BoatInfoEntity boatInfoEntity = new AisAnalysisUtil().explanation(request);
        System.out.println("解析后："+ boatInfoEntity.toString());
        System.out.println(boatInfoEntity.toString());
        redisCache.setCacheObject(boatInfoEntity.getId()+"_zy", JSON.toJSONString(boatInfoEntity),10, TimeUnit.MINUTES);
    }

}
